Bug 13220 - can't apply a single update
Summary: can't apply a single update
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-13 08:03 UTC by Bill Nottingham
Modified: 2008-03-26 08:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Nottingham 2007-11-13 08:03:22 UTC
Say I track rawhide, and have 380 updates pending. There are dependency errors. (Hey, it happens.)

There's no obvious way in the updates dialog to just apply a single update, or to pick and choose.

PackageKit-0.1.3-1.fc9
gnome-packagekit-0.1.3-1.fc9
Comment 1 Richard Hughes 2007-11-20 10:27:52 UTC
In git you can install a single update with a button now. We're working on a method where the update may be "broken" i.e. would cause the update-system to fail, and so we grey it out in the update list.
Comment 2 Richard Hughes 2008-03-26 08:16:07 UTC
Fixed in git, and the soon-to-be-released 0.1.10.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.